server:
  port: 9311
spring:
  application:
    name: @artifactId@
  datasource:
    url: jdbc:log4jdbc:mysql://db.docus.cn:3306/docus_medicalrecord?autoReconnect=true&allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
    username: docus
    password: docus702
    driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
    type: com.alibaba.druid.pool.DruidDataSource
    # 初始化配置
    initial-size: 3
    # 最小连接数
    min-idle: 3
    # 最大连接数
    max-active: 15
    # 获取连接超 时时间
    max-wait: 5000
    # 连接有效性检测时间
    time-between-eviction-runs-millis: 90000
    # 最大空闲时间
    min-evictable-idle-time-millis: 1800000
    test-while-idle: true
    test-on-borrow: false
    test-on-return: false
    validation-query: select 1

  redis:
    host: redis.docus.cn
    password: JSdocus@702
  cloud:
    nacos:
      discovery:
        server-addr: nacos.docus.cn
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
        file-extension: yml
        shared-configs:
          - comm.${spring.cloud.nacos.config.file-extension}
  profiles:
    active: dev

sdry:
  # 顺德人医查询检查、检验报告之前查患者交叉索引的wsdl配置
  report-index-query:
    wsdl-addr: http://127.0.0.1:9311/webservice/api?wsdl
    namespace-uri: http://impl.webservice.collection.server.docus.com/
    operationName: querySdJxIndexTest
#    operationName: querySdJxIndexNoResultTest
    # 顺德人医查询检查、检验报告的地址配置
  report-query-url:
    # lis检验报告地址 和文件分段
    lis:
      url: http://127.0.0.1:9311/report/makeup/lisTest
      assortId: lis
      action: lisac
      accessKey: lisaskey
    # 检查报告地址
    inspect:
      url: http://127.0.0.1:9311/report/makeup/inspectTest
      assortId: inspect
      action: inspectac
      accessKey: inspectaskey




docus:
  dbtype: mysql
  user:
    # 用户默认密码
    defpwd: fd29cd53ec12616e5f36b77d4afffbff
  report:
    downurl: http://localhost:9291/api/downplatform/report
mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    call-setters-on-nulls: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      field-strategy: NOT_EMPTY
      db-type: MYSQL
xxl:
  job:
    accessToken:
    admin:
      addresses: http://job.docus.cn:8180/xxl-job-admin
    executor:
      appname: docus-webservice-sdry
      address:
      ip:
      port: 19311
      logretentiondays: 30
      logpath: D:/xxl-job/docus-webservice-sdry
